# $Revision: 1.15 $, $Date: 2004/05/07 01:09:16 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires running esd)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	ESD
Summary:	Audio::ESD Perl module - interface to Enlightened Sound Daemon
Summary(pl):	Modu Perla Audio::ESD - interfejs do ESD ("Owieconego" Demona Dwiku)
Name:		perl-Audio-ESD
Version:	0.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71f71b5e4d47028482e2ae18ae010c2a
BuildRequires:	esound-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the Enlightened Sound Daemon,
which is used on many Linux systems to mix sound output streams from
multiple desktop applications.  It allows you to open input, output,
monitoring, and filtering streams which function like normal Perl
filehandles, as well as to control various parameters on the ESD
server.

%description -l pl
Ten modu udostpnia perlowy interfejs  do ESD - "Owieconego" Demona
Dwiku, ktry jest uywany na wielu systemach linuksowych do
mieszania strumieni dwikowych z wielu aplikacji. Pozwala na
otworzenie strumieni wejciowego, wyjciowego, monitorujcego i
filtrujcego, ktre dziaaj jak normalne perlowe uchwyty plikw, a
take na kontrol rnych parametrw serwera ESD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
# typemap missing...
cat > typemap <<EOF
my_esd_t		T_IV
esd_server_info_t *	T_PTROBJ
esd_info_t *		T_PTROBJ
EOF

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/ESD.pm
%dir %{perl_vendorarch}/auto/Audio/ESD
# is this empty file required ?
%{perl_vendorarch}/auto/Audio/ESD/autosplit.ix
%{perl_vendorarch}/auto/Audio/ESD/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/ESD/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-ESD.spec,v $
Revision 1.15  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.12  2004/04/17 05:46:24  ankry
- license fixes

Revision 1.11  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.10  2004/03/09 20:27:13  adamg
- new style bconds

Revision 1.9  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:50  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:21  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:39:10  ankry
- version 0.02

Revision 1.2  2002/08/04 19:22:56  qboosh
- fixed Name (stupid cp bug)

Revision 1.1  2002/08/04 15:52:38  qboosh
- new
